new update with 2018.4LTS

Discussion and help for Easy Save 3
JasonT
Posts: 1
Joined: Fri Mar 06, 2020 4:15 am

new update with 2018.4LTS

Post by JasonT »

I just tried installing ES3 in my project and also a fresh install of 2018.4LTS. Pretty sure it was working before the last update. Getting this error on install:

Failed to load 'Assets/Plugins/Easy Save 3/Editor/Easy Save 3 Global References.prefab' because it was serialized with a newer version of Unity. (Has a higher SerializedFile version)

User avatar
Joel
Moodkie Staff
Posts: 2755
Joined: Wed Nov 07, 2012 10:32 pm

Re: new update with 2018.4LTS

Post by Joel »

Hi Jason,

I replied to your email, but I'll also put my response here.

It looks like the Asset Store is distributing the wrong version to users (it's distributing the 2019.3 version rather than the version which supports 2018). If you PM me your invoice number I'll send over an update.

In the meantime I'm checking with the Asset Store to see if they're aware of this. We've reported a similar bug to the Asset Store in the past, so it might be that they've accidentally reintroduced that bug.

All the best,
Joel
Joel @ Moodkie Interactive
Twitter - Unity

User avatar
Gustav
Posts: 9
Joined: Sat May 06, 2017 8:57 am
Location: Germany

Re: new update with 2018.4LTS

Post by Gustav »

Same error here. I downloaded the current package a few minutes ago via the Asset Store window inside of Unity and importet it in a fresh project.

It's not the latest Unity LTS version, it's 2018.4.8f1.

User avatar
Joel
Moodkie Staff
Posts: 2755
Joined: Wed Nov 07, 2012 10:32 pm

Re: new update with 2018.4LTS

Post by Joel »

Hi Gustav,

We currently have an update out to resolve this which should hopefully be approved this week.

In the meantime you can delete the Easy Save 3 Global References prefab as this isn't required anymore.

All the best,
Joel
Joel @ Moodkie Interactive
Twitter - Unity

User avatar
Gustav
Posts: 9
Joined: Sat May 06, 2017 8:57 am
Location: Germany

Re: new update with 2018.4LTS

Post by Gustav »

Okay, thank you!

Heath Close
Posts: 20
Joined: Mon Jan 30, 2017 12:19 am

Re: new update with 2018.4LTS

Post by Heath Close »

was searching the forum for this error because I just got this error in 2019.1.5f1

just delete the asset that threw the error?

User avatar
Joel
Moodkie Staff
Posts: 2755
Joined: Wed Nov 07, 2012 10:32 pm

Re: new update with 2018.4LTS

Post by Joel »

Heath Close wrote:was searching the forum for this error because I just got this error in 2019.1.5f1

just delete the asset that threw the error?
That is correct.

All the best,
Joel
Joel @ Moodkie Interactive
Twitter - Unity

Heath Close
Posts: 20
Joined: Mon Jan 30, 2017 12:19 am

Re: new update with 2018.4LTS

Post by Heath Close »

Joel wrote:
Heath Close wrote:was searching the forum for this error because I just got this error in 2019.1.5f1

just delete the asset that threw the error?
That is correct.

All the best,
Joel
when I did that I got a gazillion of these:

InvalidCastException: Specified cast is not valid.

disregard? or will this be an issue later?

User avatar
Joel
Moodkie Staff
Posts: 2755
Joined: Wed Nov 07, 2012 10:32 pm

Re: new update with 2018.4LTS

Post by Joel »

Hi there,

Are you sure you deleted the right prefab? I.e. Assets/Plugins/Easy Save 3/Editor/Easy Save 3 Global References.prefab?

This prefab isn't linked to anything, so shouldn't affect anything.

All the best,
Joel
Joel @ Moodkie Interactive
Twitter - Unity

RobLondon
Posts: 2
Joined: Tue May 12, 2020 3:04 pm

Re: new update with 2018.4LTS

Post by RobLondon »

Import Easy save V3.3.1f1 into Unity 2018.4.22f1

It throws these errors.

Failed to load '/Users/robin/Documents/TJB/ShareA/Assets/Plugins/Easy Save 3/Resources/ES3/ES3GlobalReferences.asset' because it was serialized with a newer version of Unity. (Has a higher SerializedFile version)

Failed to load '/Users/robin/Documents/TJB/ShareA/Assets/Plugins/Easy Save 3/Resources/ES3/ES3Defaults.asset' because it was serialized with a newer version of Unity. (Has a higher SerializedFile version)

Failed to load '/Users/robin/Documents/TJB/ShareA/Assets/Plugins/Easy Save 3/Resources/ES3/ES3GlobalReferences.asset' because it was serialized with a newer version of Unity. (Has a higher SerializedFile version)

Failed to load '/Users/robin/Documents/TJB/ShareA/Assets/Plugins/Easy Save 3/Resources/ES3/ES3Defaults.asset' because it was serialized with a newer version of Unity. (Has a higher SerializedFile version)

Failed to load '/Users/robin/Documents/TJB/ShareA/Assets/Plugins/Easy Save 3/Resources/ES3/ES3GlobalReferences.asset' because it was serialized with a newer version of Unity. (Has a higher SerializedFile version)

Failed to load '/Users/robin/Documents/TJB/ShareA/Assets/Plugins/Easy Save 3/Resources/ES3/ES3Defaults.asset' because it was serialized with a newer version of Unity. (Has a higher SerializedFile version)

Thanks for looking at this

Post Reply